=== debian/changelog ===
prometheus (2.42.0+ds-5) unstable; urgency=medium

  * Fix typo in debian/rules pertaining to arch-specific test flags

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 06 Feb 2023 09:24:28 +0000

prometheus (2.42.0+ds-4) unstable; urgency=medium

  * Skip TestConcurrentRangeQueries on riscv64 also
  * Skip flaky TestPartialTruncateWAL test on certain archs
  * d/rules: skip long tests on riscv64, which cause build failures due to
    test timeouts

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 05 Feb 2023 08:02:02 +0000

prometheus (2.42.0+ds-3) unstable; urgency=medium

  * Skip TestConcurrentRangeQueries on 32-bit archs due to consistent timeouts

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 05 Feb 2023 05:28:28 +0000

prometheus (2.42.0+ds-2) unstable; urgency=medium

  * Combine memory-intesive test skip patches which address a common root
    cause
  * Drop obsolete 31-Disable_fsnotify_mips64el.patch (fixed upstream)
  * Add new 34-Fix_slow_tests.patch to address slow test timeouts on heavily-
    loaded buildd hosts

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 05 Feb 2023 02:02:35 +0000

prometheus (2.42.0+ds-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 04 Feb 2023 00:19:21 +0000

prometheus (2.41.0+ds-2) unstable; urgency=medium

  * Extend 36-Disable_rules_test_arm.patch to other 32-bit archs (and rename
    to 36-Disable_rules_test_32-bit.patch) (Closes: #1025234)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 09 Jan 2023 04:04:27 +0000

prometheus (2.41.0+ds-1) unstable; urgency=medium

  * New upstream version
  * Bump minimum required golang-github-prometheus-common-dev version to
    0.39.0
  * Bump Standards-Version to 4.6.2 (no changes)
  * dh_auto_test: increase Go test timeout to 30 mins
  * Patch css / js paths in console_templates/prom.lib
  * Increase open file descriptor limit to 32768

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 21 Dec 2022 00:30:48 +0000

prometheus (2.40.7+ds-1) unstable; urgency=medium

  * New upstream version
  * d/copyright: drop Files-Excluded patterns for files which are no longer
    shipped by upstream

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 19 Dec 2022 03:50:09 +0000

prometheus (2.40.5+ds-3) unstable; urgency=medium

  * Patch in skip32bit test helper function
  * Skip TestChunkSnapshot on 32-bit arch due to memory exhaustion
  * Skip TestQueryHistogramFromBlocksWithCompaction additionally on armel /
    armhf

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 05 Dec 2022 22:37:58 +0000

prometheus (2.40.5+ds-2) unstable; urgency=medium

  * Drop obsolete 83-Revert_grafana_regexp.patch
  * Add new build-dep golang-github-grafana-regexp-dev
  * Refresh patches

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 05 Dec 2022 00:17:09 +0000

prometheus (2.40.5+ds-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 02 Dec 2022 02:13:01 +0000

prometheus (2.40.4+ds-2) unstable; urgency=medium

  * Skip TestQueryHistogramFromBlocksWithCompaction on 386 due to memory
    exhaustion

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 01 Dec 2022 05:26:34 +0000

prometheus (2.40.4+ds-1) unstable; urgency=medium

  * New upstream release (fixes CVE-2022-46146)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 30 Nov 2022 06:35:44 +0000

prometheus (2.40.3+ds-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 25 Nov 2022 05:51:03 +0000

prometheus (2.40.2+ds-3) unstable; urgency=medium

  * Skip additional memory-intensive tests which fail on 32-bit archs

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 20 Nov 2022 06:32:08 +0000

prometheus (2.40.2+ds-2) unstable; urgency=medium

  * Fix 35-Disable_memory_intensive_tests.patch so as to not build-exclude
    shared test setup functions

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 20 Nov 2022 04:32:19 +0000

prometheus (2.40.2+ds-1) unstable; urgency=medium

  * New upstream release
  * Add new 35-Disable_memory_intensive_tests.patch to disable
    memory-intensive tests which are known to fail on 32-bit archs

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 20 Nov 2022 03:09:15 +0000

prometheus (2.40.1+ds-1) unstable; urgency=medium

  * New upstream release
  * Remove --help output from default file

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 09 Nov 2022 15:31:49 +0000

prometheus (2.40.0+ds-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Drop obsolete 34-Disable_wal_test_goleak.patch
  * Add new build-deps:
    - golang-github-ovh-go-ovh-dev
    - golang-golang-x-exp-dev
  * Bump required golang-github-prometheus-exporter-toolkit-dev version to
    0.8.0

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 09 Nov 2022 11:52:06 +0000

prometheus (2.39.1+ds1-2) unstable; urgency=medium

  * Drop obsolete patches:
    - 02-Disable_ionos.patch
    - 06-Disable_scaleway.patch
  * Add new build-deps:
    - golang-github-ionos-cloud-sdk-go-dev
    - golang-github-scaleway-scaleway-sdk-go-dev
  * Make 21-Disable_TSDB_lockfile.patch less intrusive
  * d/rules: drop no longer necessary GODEBUG x509sha1=1

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 26 Oct 2022 22:06:53 +0000

prometheus (2.39.1+ds1-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 25 Oct 2022 17:24:32 +0000

prometheus (2.38.0+ds1-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Drop obsolete 96-Fix_golang_API_change.patch

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 25 Oct 2022 16:27:49 +0000

prometheus (2.37.1+ds1-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Add new 08-Disable_nomad.patch

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 25 Oct 2022 16:06:41 +0000


