=== debian/control ===
Source: prometheus
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Martina Ferrari <tina@debian.org>,
           Daniel Swarbrick <dswarbrick@debian.org>,
           Lucas Kanashiro <kanashiro@debian.org>,
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               gogoprotobuf (>= 1.0.0+git20180330~),
               golang-github-alecthomas-units-dev (>= 0.0~git20210927.59d0afb),
               golang-github-aws-aws-sdk-go-dev (>= 1.4),
               golang-github-azure-azure-sdk-for-go-dev,
               golang-github-azure-go-autorest-dev (>= 14.2.0+git20220726.711dde1),
               golang-github-cespare-xxhash-dev,
               golang-github-dennwc-varint-dev,
               golang-github-dgryski-go-sip13-dev <!nocheck>,
               golang-github-digitalocean-godo-dev,
               golang-github-docker-docker-dev,
               golang-github-edsrzf-mmap-go-dev,
               golang-github-fsnotify-fsnotify-dev (>= 1.4.7-2~),
               golang-github-go-kit-log-dev,
               golang-github-go-openapi-strfmt-dev,
               golang-github-gogo-protobuf-dev (>= 1.0.0+git20180330~),
               golang-github-golang-snappy-dev,
               golang-github-google-pprof-dev,
               golang-github-gophercloud-gophercloud-dev (>= 0.3.0~),
               golang-github-grafana-regexp-dev,
               golang-github-grpc-ecosystem-grpc-gateway-dev,
               golang-github-hetznercloud-hcloud-go-dev (>= 1.32.0~),
               golang-github-ionos-cloud-sdk-go-dev,
               golang-github-json-iterator-go-dev (>= 1.1.12~),
               golang-github-kolo-xmlrpc-dev,
               golang-github-miekg-dns-dev (>= 0.0~git20170501),
               golang-github-mwitkow-go-conntrack-dev,
               golang-github-oklog-run-dev,
               golang-github-oklog-ulid-dev (>= 1.3.1~),
               golang-github-opentracing-contrib-go-stdlib-dev (>= 0.0~git20190519.cf7a6c9~),
               golang-github-opentracing-opentracing-go-dev,
               golang-github-ovh-go-ovh-dev,
               golang-github-pkg-errors-dev,
               golang-github-prometheus-alertmanager-dev (>= 0.18.0~),
               golang-github-prometheus-client-golang-dev (>= 1.13.0),
               golang-github-prometheus-client-model-dev,
               golang-github-prometheus-common-dev (>= 0.39.0),
               golang-github-prometheus-exporter-toolkit-dev (>= 0.8.2),
               golang-github-samuel-go-zookeeper-dev,
               golang-github-scaleway-scaleway-sdk-go-dev,
               golang-github-stretchr-testify-dev (>= 1.7.0~),
               golang-github-vultr-govultr-dev (>= 2.0.0),
               golang-go (>= 2:1.17~),
               golang-go.uber-atomic-dev,
               golang-golang-x-exp-dev,
               golang-golang-x-net-dev (>= 1:0.0+git20180124),
               golang-golang-x-oauth2-google-dev,
               golang-golang-x-sync-dev,
               golang-golang-x-sys-dev,
               golang-golang-x-time-dev,
               golang-google-api-dev (>= 0.0~git20170907),
               golang-google-genproto-dev (>= 0.0~git20171123),
               golang-google-grpc-dev (>= 1.6.0~),
               golang-gopkg-alecthomas-kingpin.v2-dev,
               golang-gopkg-yaml.v2-dev (>= 2.2.1-1~),
               golang-gopkg-yaml.v3-dev,
               golang-grpc-gateway,
               golang-opentelemetry-otel-dev,
               golang-uber-automaxprocs-dev,
               golang-uber-goleak-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus.git
Homepage: https://prometheus.io/
XS-Go-Import-Path: github.com/prometheus/prometheus

Package: prometheus
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: adduser,
         fonts-glyphicons-halflings,
         libjs-bootstrap4,
         libjs-eonasdan-bootstrap-datetimepicker,
         libjs-jquery (>= 3.5.1~),
         libjs-jquery-hotkeys,
         libjs-moment,
         libjs-moment-timezone,
         libjs-mustache (>= 2.3.0-1~),
         libjs-popper.js,
         libjs-rickshaw,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: prometheus-node-exporter,
Built-Using: ${misc:Built-Using},
Description: monitoring system and time series database
 Prometheus is a systems and services monitoring system. It collects metrics
 from configured targets at given intervals, evaluates rule expressions,
 displays the results, and can trigger alerts if some condition is observed to
 be true.
 .
 Prometheus' main distinguishing features as compared to other monitoring
 systems are:
 .
  * A multi-dimensional data model (timeseries defined by metric name and set
    of key/value dimensions).
  * A flexible query language to leverage this dimensionality.
  * No dependency on distributed storage; single server nodes are autonomous.
  * Timeseries collection happens via a pull model over HTTP.
  * Pushing timeseries is supported via an intermediary gateway.
  * Targets are discovered via service discovery or static configuration.
  * Multiple modes of graphing and dashboarding support.
  * Federation support coming soon.
