## prometheus 2.45.0+ds

=== debian/changelog ===
prometheus (2.45.0+ds-3build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:17:26 +1200

prometheus (2.45.0+ds-3) unstable; urgency=medium

  * Add new Fix-Linode-SD-int32-overflows.patch

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 16 Jul 2023 17:38:35 +0000

prometheus (2.45.0+ds-2) unstable; urgency=medium

  * Re-enable Linode service discovery
  * Drop obsolete Revert-switch-to-go-zookeeper.patch
  * Drop unused build-dep golang-github-samuel-go-zookeeper-dev
  * Add new build-deps:
    - golang-github-go-zookeeper-zk-dev
    - golang-github-linode-linodego-dev

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 16 Jul 2023 12:48:41 +0000

prometheus (2.45.0+ds-1) unstable; urgency=medium

  * New upstream release
  * Convert patches to gbp-pq format and refresh
  * Add new Disable-Azure-AD-authentication-support.patch

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 14 Jul 2023 18:45:22 +0000

prometheus (2.44.0+ds-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Add new 96-Disable-write-documentation-flag.patch
  * Add missing build-dep golang-google-protobuf-dev
  * Drop redundant build-dep version constraints

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 12 Jul 2023 10:37:15 +0000

prometheus (2.43.1+ds-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Drop obsolete 95-Support-prometheus-common-0.42.0.patch
  * Drop unused golang-github-dgryski-go-sip13-dev build-dep
  * Add new 95-Revert-kingpin-import-path.patch
  * d/rules: restore docker SD test fixture filename for older build-deps

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 07 Jul 2023 22:24:58 +0000

prometheus (2.42.0+ds-6) unstable; urgency=medium

  * Add new 95-Support-prometheus-common-0.42.0.patch to support building
    against golang-github-prometheus-common-dev >= 0.42.0

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 28 Jun 2023 22:51:17 +0000
