=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
     # EOL
 
 # Do not build examples
-export DH_GOLANG_EXCLUDES := documentation
+export DH_GOLANG_EXCLUDES := documentation storage/remote/azuread
 
 BUILDDIR := $(CURDIR)/.build
 METAPKG := github.com/prometheus/common
@@ -66,6 +66,9 @@
             -I$(BUILDDIR)/src/github.com/gogo/protobuf \
             -I$(BUILDDIR)/src/github.com/grpc-ecosystem/grpc-gateway/third_party/googleapis \
             $(PROMPB)/*.proto
+	# Restore docker SD test fixture filename for older build-deps
+	ln -s json.json \
+        $(BUILDDIR)/src/github.com/prometheus/prometheus/discovery/moby/testdata/dockerprom/containers/json_limit_0.json
 
 # Exclude package without non-test files.
 override_dh_auto_build: DH_GOLANG_EXCLUDES += tsdb/test
