## prometheus 2.45.3+ds

=== Makefile ===
--- 
+++ 
@@ -28,6 +28,23 @@
 include Makefile.common
 
 DOCKER_IMAGE_NAME       ?= prometheus
+
+docker-tag-latest:
+	@echo Skipping latest
+
+docker-publish:
+ifneq ($(DOCKER_IMAGE_TAG),latest)
+	$(MAKE) common-docker-publish
+else
+	@echo Skipping latest
+endif
+
+docker-manifest:
+ifneq ($(DOCKER_IMAGE_TAG),latest)
+	$(MAKE) common-docker-manifest
+else
+	@echo Skipping latest
+endif
 
 .PHONY: update-npm-deps
 update-npm-deps:
@@ -78,6 +95,17 @@
 	@echo '>> packaging assets'
 	scripts/package_assets.sh
 
+# We only want to generate the parser when there's changes to the grammar.
+.PHONY: parser
+parser:
+	@echo ">> running goyacc to generate the .go file."
+ifeq (, $(shell which goyacc))
+	@echo "goyacc not installed so skipping"
+	@echo "To install: go install golang.org/x/tools/cmd/goyacc@v0.6.0"
+else
+	goyacc -o promql/parser/generated_parser.y.go promql/parser/generated_parser.y
+endif
+
 .PHONY: test
 # If we only want to only test go code we have to change the test target
 # which is called by all.
@@ -122,3 +150,8 @@
 	@$(GO) tool pprof --alloc_space -svg $(PROMTOOL) $(TSDB_BENCHMARK_OUTPUT_DIR)/mem.prof > $(TSDB_BENCHMARK_OUTPUT_DIR)/memprof.alloc.svg
 	@$(GO) tool pprof -svg $(PROMTOOL) $(TSDB_BENCHMARK_OUTPUT_DIR)/block.prof > $(TSDB_BENCHMARK_OUTPUT_DIR)/blockprof.svg
 	@$(GO) tool pprof -svg $(PROMTOOL) $(TSDB_BENCHMARK_OUTPUT_DIR)/mutex.prof > $(TSDB_BENCHMARK_OUTPUT_DIR)/mutexprof.svg
+
+.PHONY: cli-documentation
+cli-documentation:
+	$(GO) run ./cmd/prometheus/ --write-documentation > docs/command-line/prometheus.md
+	$(GO) run ./cmd/promtool/ write-documentation > docs/command-line/promtool.md
