=== debian/changelog ===
prometheus (2.45.3+ds-2ubuntu0.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 21 Jul 2025 10:51:10 +1000

prometheus (2.45.3+ds-2ubuntu0.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Thu, 07 Nov 2024 13:27:33 +1000

prometheus (2.45.3+ds-2ubuntu0.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 16 Jul 2024 11:42:19 +0530

prometheus (2.45.3+ds-2build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:14:21 +1100

prometheus (2.45.3+ds-2) unstable; urgency=medium

  * Add new 0022-Support-prometheus-common-0.47.0.patch (Closes: #1064765)
  * Bump golang-github-prometheus-common-dev version constraint to >= 0.47.0

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 27 Feb 2024 05:26:30 +0000

prometheus (2.45.3+ds-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 05 Feb 2024 11:58:47 +0000

prometheus (2.45.1+ds-3) unstable; urgency=medium

  * Override dh_auto_test gcflags on riscv64 to workaround
    https://github.com/golang/go/issues/63167
  * Increase test timeout and skip long tests on mips64el and riscv64

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 22 Nov 2023 21:58:21 +0000

prometheus (2.45.1+ds-2) unstable; urgency=medium

  * Add new 0021-Partially-backport-PR-12650.patch to fix FTBFS with recent
    versions of golang-golang-x-exp-dev
  * Drop LimitNOFILE from systemd service, since systemd >= 240 defaults to a
    higher hard limit than what we previously specified

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 22 Nov 2023 17:34:47 +0000

prometheus (2.45.1+ds-1) unstable; urgency=medium

  [ Antoine Beaupré ]
  * Do not restart service on config syntax errors (Closes: #1022724)

  [ Daniel Swarbrick ]
  * New upstream release
  * Drop obsolete 0021-Fix-Linode-SD-int32-overflows.patch (applied upstream)
  * Bump minimum required golang-github-hetznercloud-hcloud-go-dev to 2.0.0

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 09 Oct 2023 13:17:35 +0000
