=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: prometheus
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martina Ferrari <tina@debian.org>,
            Daniel Swarbrick <dswarbrick@debian.org>,
            Lucas Kanashiro <kanashiro@debian.org>,
@@ -28,7 +29,7 @@
                golang-github-gophercloud-gophercloud-dev,
                golang-github-grafana-regexp-dev,
                golang-github-grpc-ecosystem-grpc-gateway-dev,
-               golang-github-hetznercloud-hcloud-go-dev,
+               golang-github-hetznercloud-hcloud-go-dev (>= 2.0.0),
                golang-github-ionos-cloud-sdk-go-dev,
                golang-github-json-iterator-go-dev,
                golang-github-kolo-xmlrpc-dev,
@@ -44,7 +45,7 @@
                golang-github-prometheus-alertmanager-dev,
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-client-model-dev,
-               golang-github-prometheus-common-dev (>= 0.42.0),
+               golang-github-prometheus-common-dev (>= 0.47.0),
                golang-github-prometheus-exporter-toolkit-dev,
                golang-github-scaleway-scaleway-sdk-go-dev,
                golang-github-stretchr-testify-dev,
