## prometheus 2.45.5+ds

=== debian/changelog ===
prometheus (2.45.5+ds-1) unstable; urgency=medium

  * New upstream (bugfix) release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 03 May 2024 17:24:59 +0000

prometheus (2.45.4+ds-2) unstable; urgency=medium

  * Add new 0024-Fix-deadlock-in-TestQuerierIndexQueriesRace.patch

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 31 Mar 2024 15:56:05 +0000

prometheus (2.45.4+ds-1) unstable; urgency=medium

  * New upstream release
  * dh_auto_test: increase test timeout to 60m

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 29 Mar 2024 11:03:56 +0000

prometheus (2.45.3+ds-3) unstable; urgency=medium

  * Add new 0023-Support-prometheus-common-v0.50.0.patch
  * Bump golang-github-prometheus-client-golang-dev version constraint
    (>= 1.19.0)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 18 Mar 2024 04:58:20 +0000
