=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: prometheus
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martina Ferrari <tina@debian.org>,
            Daniel Swarbrick <dswarbrick@debian.org>,
            Lucas Kanashiro <kanashiro@debian.org>,
@@ -43,7 +42,7 @@
                golang-github-ovh-go-ovh-dev,
                golang-github-pkg-errors-dev,
                golang-github-prometheus-alertmanager-dev,
-               golang-github-prometheus-client-golang-dev,
+               golang-github-prometheus-client-golang-dev (>= 1.19.0),
                golang-github-prometheus-client-model-dev,
                golang-github-prometheus-common-dev (>= 0.47.0),
                golang-github-prometheus-exporter-toolkit-dev,
