## prometheus 2.45.6+ds

=== debian/changelog ===
prometheus (2.45.6+ds-9) unstable; urgency=medium

  * Add Breaks / Replaces to promtool package (Closes: #1088956)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 05 Dec 2024 20:49:55 +0000

prometheus (2.45.6+ds-8) unstable; urgency=medium

  * Add new 0027-Extend-testing-CA-certificates-expiry-date.patch
    (Closes: #1078633)
  * Split out promtool binary to separate package (Closes: #1087992)
  * Modernize d/rules to produce more visually appealing man pages

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 30 Nov 2024 09:13:50 +0000

prometheus (2.45.6+ds-7) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 31 Oct 2024 06:22:01 -0400

prometheus (2.45.6+ds-6) experimental; urgency=medium

  * Team upload.
  * Tighten dependencies on opentelemetry
  * Fix tests against opentelemetry 1.26

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 22 Oct 2024 06:31:28 -0400

prometheus (2.45.6+ds-5) unstable; urgency=medium

  * golang-github-prometheus-prometheus-dev: include example config files
    required by tests

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 07 Oct 2024 15:29:08 +0000

prometheus (2.45.6+ds-4) unstable; urgency=medium

  * Source-only re-upload

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 06 Oct 2024 10:59:38 +0000

prometheus (2.45.6+ds-3) unstable; urgency=medium

  * Reinstate "New UI" link in nav header
  * d/control: add golang-github-prometheus-prometheus-dev package for
    applications which import (parts of) Prometheus as a library

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 04 Oct 2024 10:38:55 +0000

prometheus (2.45.6+ds-2) unstable; urgency=medium

  * Reinstate React web UI support in backend
  * Fix duplicate path prefix in templates/rules.html (Closes: #1071995)
  * Drop obsolete 0013-Revert-OpenStack-Gophercloud-API-change.patch and
    bump golang-github-gophercloud-gophercloud-dev version constraint to
    (>= 0.19.0)
  * Add React web UI install-ui.sh helper script

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 23 Sep 2024 01:22:56 +0000

prometheus (2.45.6+ds-1) unstable; urgency=medium

  * New upstream release (no code changes)
  * Add new 0025-Support-docker-v25.patch
  * Bump golang-github-docker-docker-dev version constraint (>= 25.0)
  * Drop obsolete 0014-Disable-OpenTelemetry.patch
  * Add new build-dep golang-opentelemetry-contrib-dev
  * Bump Standards-Version to 4.7.0 (no changes)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 05 Aug 2024 11:29:12 +0000
