=== debian/rules ===
--- 
+++ 
@@ -46,17 +46,19 @@
 ifeq ($(DEB_HOST_ARCH_CPU),arm)
   # Tests in armel take way too long, and run out of memory in armhf.
   TESTFLAGS := -timeout 60m -short
+else ifeq ($(DEB_HOST_ARCH_CPU),mips64el)
+  # mips64el is also super slow
+  TESTFLAGS := -timeout 60m -short
 else ifeq ($(DEB_HOST_ARCH_CPU),riscv64)
-  TESTFLAGS := -timeout 30m -short
+  # Override gcflags to workaround https://github.com/golang/go/issues/63167
+  TESTFLAGS := -timeout 60m -short -gcflags=all=-d=wrapglobalmapctl=1
 else
-  TESTFLAGS := -timeout 20m
+  TESTFLAGS := -timeout 60m
 endif
 
 %:
 	dh $@ --buildsystem=golang --builddirectory=$(BUILDDIR)
 
-WHATIS1 := "prometheus \\- The Prometheus monitoring server"
-WHATIS2 := "promtool \\- Tooling for the Prometheus monitoring system"
 PROMPB := $(BUILDDIR)/src/github.com/prometheus/prometheus/prompb
 
 override_dh_auto_configure:
@@ -74,14 +76,26 @@
 override_dh_auto_build: DH_GOLANG_EXCLUDES += tsdb/test
 override_dh_auto_build:
 	dh_auto_build -- $(BUILDFLAGS)
+
+MAN_WHATIS := "prometheus \\- The Prometheus monitoring server"
+MAN_WHATIS_TOOL := "promtool \\- Tooling for the Prometheus monitoring system"
+MAN_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' '+%B %Y')
+
+execute_before_dh_installman:
 	$(BUILDDIR)/bin/prometheus --help-man > $(BUILDDIR)/prometheus.1
 	$(BUILDDIR)/bin/promtool --help-man > $(BUILDDIR)/promtool.1
-	# Fix whatis entry.
-	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS1) $(BUILDDIR)/prometheus.1
-	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS2) $(BUILDDIR)/promtool.1
+	# Fix title and header footers.
+	sed -i '/^.TH .*/c.TH PROMETHEUS "1" "$(MAN_DATE)" "$(DEB_SOURCE) $(DEB_VERSION_UPSTREAM)" "Prometheus"/' \
+        $(BUILDDIR)/prometheus.1
+	sed -i '/^.TH .*/c.TH PROMTOOL "1" "$(MAN_DATE)" "$(DEB_SOURCE) $(DEB_VERSION_UPSTREAM)" "Prometheus"/' \
+        $(BUILDDIR)/promtool.1
+	# Remove build user/build date/go version headers, which is ugly.
+	sed -i '/^  /d' $(BUILDDIR)/*.1
+	# Fix whatis entries.
+	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(MAN_WHATIS) $(BUILDDIR)/prometheus.1
+	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(MAN_WHATIS_TOOL) $(BUILDDIR)/promtool.1
+	# Remove default values, as they create unwieldy long lines.
+	sed -i 's/\\fB--\(.*\)=".*"\\fR/\\fB--\1\\fR/' $(BUILDDIR)/*.1
 
 override_dh_auto_test:
 	dh_auto_test -- $(TESTFLAGS)
-
-override_dh_auto_install:
-	dh_auto_install -- --no-source
